Informes

Notas
Nivel experto
La clave API debe enviarse como un token Bearer en el encabezado Authorization de la solicitud. Obtenga su clave API.
Lista

API endpoint:

GET
https://itseo.pro/api/v1/reports

Request example:

curl --location --request GET 'https://itseo.pro/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parámetro
Tipo
Descripción
search
optional string
La consulta de búsqueda.
search_by
optional string
Search by. Possible values are: url for URL. Defaults to: url.
project
optional string
El nombre del proyecto.
result
optional string
The report result. Possible values are: good for Bueno, decent for Aceptable, bad for Malo.
sort_by
optional string
Sort by. Possible values are: id for Fecha de creación, generated_at for Fecha de generación, url for URL, result for Resultado. Defaults to: id.
sort
optional string
Sort. Possible values are: desc for Descendente, asc for Ascendente. Defaults to: desc.
per_page
optional int
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 100.
Mostrar

API endpoint:

GET
https://itseo.pro/api/v1/reports/{id}

Request example:

curl --location --request GET 'https://itseo.pro/api/v1/reports/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Guardar

API endpoint:

POST
https://itseo.pro/api/v1/reports

Request example:

curl --location --request POST 'https://itseo.pro/api/v1/reports' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url={url}'
Parámetro
Tipo
Descripción
url
required string
La URL de la página web.
privacy
optional integer
Report page privacy. Possible values are: 0 for Público, 1 for Privado, 2 for Contraseña. Defaults to: 1.
password
optional string
The password for the report page. Only works with privacy set to 2.
Actualizar

API endpoint:

PUT PATCH
https://itseo.pro/api/v1/reports/{id}

Request example:

curl --location --request PUT 'https://itseo.pro/api/v1/reports/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parámetro
Tipo
Descripción
privacy
optional integer
Report page privacy. Possible values are: 0 for Público, 1 for Privado, 2 for Contraseña.
password
optional string
The password for the report page. Only works with privacy set to 2.
results
optional integer
Update the report results. Possible values are: 0 for No, 1 for . Defaults to: 0.
Eliminar

API endpoint:

DELETE
https://itseo.pro/api/v1/reports/{id}

Request example:

curl --location --request DELETE 'https://itseo.pro/api/v1/reports/{id}' \
--header 'Authorization: Bearer {api_key}'